Name: blisp
Version: 0.0.4
Release: 1%{?dist}
Summary: Bouffalo Labs ISP tool/library for flashing Bouffalo RISC-V MCUs
URL: https://github.com/pine64/blisp
License: MIT, Apache-2.0

Source: https://github.com/pine64/%{name}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

Patch: 0001-Fix-cmake.patch

BuildRequires: cmake
BuildRequires: gcc
BuildRequires: make

BuildRequires: argtable3
BuildRequires: argtable3-devel
BuildRequires: libserialport
BuildRequires: libserialport-devel

Requires: argtable3
Requires: libserialport

%global _description %{expand:
Bouffalo Labs ISP tool & library
Open source tool and library for flashing Bouffalo RISC-V MCUs.
}

%description %_description

%package devel
Summary: Development package that includes the blisp header files
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Header and development files for using blisp

%package libs
Summary: Libraries for blisp
Requires: %{name}%{?_isa} = %{version}-%{release}

%description libs
Shared libraries for blisp

%prep
%autosetup -p 1 -n %{name}-%{version}
rm -rv vendor/ 

%build
%cmake -DBLISP_BUILD_CLI=ON -DBLISP_USE_SYSTEM_LIBRARIES=ON -DCMAKE_INSTALL_LIBDIR=lib64
%cmake_build

%install
%cmake_install

%files
%{_bindir}/blisp

%files libs
%{_libdir}/libblisp.so*
%{_libdir}/libblisp.a

%files devel
%{_includedir}/blisp*.h

%ldconfig_scriptlets

%changelog
* Mon Aug 07 2023 Neil Hanlon <neil@shrug.pw> - 0.0.4-1
- Update to upstream 0.0.4

* Thu Jan 26 2023 Neil Hanlon <neil@shrug.pw> - 0.0.3-0
- Update to upstream 0.0.3

* Thu Jan 12 2023 Neil Hanlon <neil@shrug.pw> - 0.0.2-0
- Update to upstream 0.0.2 and fix cmakelists patch

* Fri Dec 30 2022 Neil Hanlon <neil@shrug.pw> - 0.0.1-2
- fix requires

* Fri Dec 30 2022 Neil Hanlon <neil@shrug.pw> - 0.0.1-1
- build using a patch instead of a patched source

* Thu Dec 29 2022 Neil Hanlon <neil@shrug.pw> - 0.0.1-0
- initial specfile
